---
id: 669aff9f5488f1bea056416d
title: Step 1
challengeType: 0
dashedName: step-1
demoType: onLoad
---

# --description--

In this workshop, you will practice working with semantic HTML by building a blog page dedicated to Mr. Whiskers the cat. 

To begin the project, add the `<!DOCTYPE html>`, and an `html` element with a `lang` attribute of `en`.

Remember that you learned how to build a basic HTML boilerplate like this in the previous module.

```html
<!DOCTYPE html>
<html lang="en">
<!--all other elements go here-->
</html>
```

# --hints--

You should have the `<!DOCTYPE html>`.

```js
assert.match(code, /<!DOCTYPE\s+html>/i);
```

You should have an opening `html` tag with the language set to english.

```js
assert.match(code, /<html\s+lang\s*=\s*('|")en\1\s*>/gi);
```

You should have a closing `html` tag.

```js
assert.match(code, /<\/html>/i);
```

Your `DOCTYPE` should come before the `html` element.

```js
assert.match(code, /<!DOCTYPE\s+html>[.\n\s]*<html\s+lang\s*=\s*('|")en\1\s*>/im)
```

# --seed--

## --seed-contents--

```html
--fcc-editable-region--

--fcc-editable-region--
```
